<?php 

	/*
	* Team Availabiliry HTML Backend
	* @package TeamAvailabilityComponent
	* @copyright 2004 Tom Winterhalder
	* @license http://www.gnu.org/copyleft/gpl.html. GNU Public License
	* @version $Revision: 1.4 $
	* @author Tom Winterhalder <tom@winterhalder.ch>
	*/
	/*
	* Description
	* ===========
	* The admin.teac.html.php file controls the view of the administrator backend.
	* It draws all the html lists and the edit forms. 
	*/
	
	//ensure this file is being included by a parent file
	defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

	class HTML_twTeac {
		// ----------------------------------------------------------
		// show the control panel for the team availability component
		// ----------------------------------------------------------
		function controlPanel($version, $task) {
	  	?>
			<table class="adminheading" border="0">
				<tr>
					<th class="cpanel"><?php echo _TEAC_LANG_CPANEL_TIT;?></th>
   				</tr>
   			</table>
			<table class="adminform">
			<tr>
				<td width="50%" valign="top">
				<!-- Table which contains the control panel -->
					<table width="100%">
						<tr>
							<td><a href="index2.php?option=com_teac&task=editConfig" style="text-decoration:none;" title="<?php echo _TEAC_LANG_CONFIG_DESC;?>">
								<img src="components/com_teac/images/config.png" align="middle" border="0"><br>
								<?php echo _TEAC_LANG_CONFIG_TIT;?>
								</a>
							</td>
				            		<td><a href="index2.php?option=com_teac&task=editCss" style="text-decoration:none;" title="<?php echo _TEAC_LANG_CSS_DESC;?>">
           							<img src="components/com_teac/images/css.png" align="middle" border="0"/><br>
            							<?php echo _TEAC_LANG_CSS_TIT;?>
            							</a>
            				    		</td>
							<td><a href="index2.php?option=com_teac&task=showAbsence" style="text-decoration:none;" title="<?php echo _TEAC_LANG_ABS_DESC;?>">
								<img src="components/com_teac/images/categories.png" align="middle" border="0"><br>
								<?php echo _TEAC_LANG_ABS_TIT;?>
								</a>
							</td>

						</tr>

					</table>
				</td>
				<td width="50%" valign="top" align="center">
					<table border="1" width="100%" class="adminlist">
						<tr><th colspan="2">Team Availability Component</th></tr>
						<tr><td><?php echo _TEAC_LANG_INSTVERS;?></td>
							<td><?php echo $version;?></td>
						</tr>
						<tr><td>Copyright:</td>
							<td>&copy; 2004-2005 Tom Winterhalder / 2006 Roland Furtmayr</td>
						</tr>
						<tr><td>License:</td>
							<td><a href="http://www.gnu.org/copyleft/gpl.html" target="_blank">GNU GPL</a></td>
						</tr>
						<tr><td>Team:</td>
							<td>Tom Winterhalder / Groupjive-Version: Roland Furtmayr</td>
						</tr>

					</table>
				</td>
			</tr>
			</table>
		<?php
		} // end function controlPanel
		function editCss($file, $option)
		{
			$file = stripslashes($file);
   			$fp=fopen($file,"r");
   			$content = fread($fp, filesize($file));
   			$content = htmlspecialchars($content);
   		?>
   			<form action="index2.php?" method="post" name="adminForm" class="adminForm" id="adminForm">
   				<table cellpadding="4" cellspacing="0" border="0" width="100%">
      				<tr>
         				<td class="sectionname" width="100%"><?php echo _TEAC_LANG_CSS_TITLE;?></td>
      				</tr>
      				<tr>
         			<td>
						<img src="images/cpanel.png" width="16px" height="16px" align="middle" border="0"/>
						<a href="index2.php?option=com_teac"><?php echo _TEAC_LANG_BACK_CPANEL;?></a></td>
      				</tr>
   				</table>
   				<table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminform">
       				<tr>
         				<th colspan="4"><?php echo _TEAC_LANG_CSS_PATH.": ".$file; ?></td>
					</tr>
       				<tr>
         				<td>
							<textarea cols="100" rows="20" name="csscontent"><?php echo $content; ?></textarea>
         				</td>
       				</tr>
       				<tr>
         				<td class="error"><?php echo _TEAC_LANG_CSS_WRITE;?></td>
       				</tr>
					<th></th>
   				</table>
   				<input type="hidden" name="file" value="<?php echo $file; ?>" />
   				<input type="hidden" name="option" value="<?php echo $option; ?>">
   				<input type="hidden" name="task" value="">
   				<input type="hidden" name="boxchecked" value="0">
   			</form>
   		<?php
		} // end function editCss
		// ***************
		// Absence section
		// ***************
		// ---------------------------------------------
		// edit absences and stores them in the database
		// ---------------------------------------------
		function editAbs( $option, &$row ) {
			?>
			<script language="Javascript" src="components/com_teac/js/colorpicker.js"></script>
			<form action="index2.php" method="post" id="adminForm" name="adminForm" class="adminForm">
			<table border="0" cellpadding="3" cellspacing="0">
			<tr>
      			<td align="center">
					<span class="sectionname"><?php echo $row->absid ? _TEAC_LANG_EDIT : _TEAC_LANG_ADD; echo _TEAC_LANG_ABSENCE;?> </span>
				</td>
    		</tr>
			<tr>
			<tr><td><?php echo _TEAC_LANG_DESCR;?>:</td>
			<td><input type="text" size="50" name="absdescr" value="<?php echo $row->absdescr;?>" /></td></tr>
			<td><?php echo _TEAC_LANG_ABSCODE;?></td>
			<td><input type="text" size="10" maxsize="10" name="abscode" value="<?php echo $row->abscode;?>" /></td></tr>
			<td><?php echo _TEAC_LANG_BGCOL;?></td>
			<td bgcolor="<?php echo $row->absbgcol;?>"> <!-- flooble.com Color Picker start -->
 	          	<input type="text" id="pick1105472405field" size="12" class="inputbox" onChange="cpbg.relateColor(this.value);" 
				title="onclick" name="absbgcol" value="<?php echo $row->absbgcol;?>">
				<a href="javascript:void(0)" onclick="cpbg.pickColor();" id="pick1105472405"
		  		style="border: 1px solid #000000; font-family:Verdana; font-size:10px;
		  		text-decoration: none;">&nbsp;&nbsp;&nbsp;</a>
				
				<script language="javascript">
					var cpbg = new ColorPicker( 'cpbg', 'pick1105472405', '#ffffff' );
		  		</script>
 	        	<!-- flooble Color Picker end -->
			</td>
			<tr>
			<td><?php echo _TEAC_LANG_FONTCOL;?></td>
			<td bgcolor="<?php echo $row->absbgcol;?>"> <!-- flooble.com Color Picker start -->
 	          	<input name="absfontcol" type="text" class="inputbox" id="pick1105472406field" 
				title="onclick" onChange="cpfc.relateColor(this.value);" value="<?php echo $row->absfontcol;?>" size="12">
				<a href="javascript:void(0)" onclick="cpfc.pickColor();" id="pick1105472406"
		  		style="border: 1px solid #000000; font-family:Verdana; font-size:10px;
		  		text-decoration: none;">&nbsp;&nbsp;&nbsp;</a>
				
				<script language="javascript">
					var cpfc = new ColorPicker( 'cpfc', 'pick1105472406', '#ffffff' );
		  		</script>
 	        	<!-- flooble Color Picker end -->
			</td>

			</tr>
			<tr><td><?php echo _TEAC_LANG_PUBLISHED.":";?></td>
			<td><? echo mosHTML::yesnoSelectList("published","",$row->active);?></td></tr>
			</table>
			<input type="hidden" name="absid" value="<?php echo $row->absid; ?>"/>
			<input type="hidden" name="option" value="<?php echo $option; ?>"/>
			<input type="hidden" name="task" value=""/>
			</form>
		<? }
		// ------------------------------------------------------
		// lists the different types of absence
		// ------------------------------------------------------
		function listAbsence( $option, &$rows, &$pageNav ) {
			?>
			<table class="adminheading">
				<tr>
					<th><?php echo _TEAC_LANG_ABSMGR;?></th>
				</tr>
				<tr>
			    	<td colspan="3">
					<img src="images/cpanel.png" width="16px" height="16px" align="middle" border="0"/>
					<a href="index2.php?option=com_teac"><?php echo _TEAC_LANG_BACK_CPANEL;?></a>
					</td>
				</tr>
			</table>

			<form action="index2.php" method="post" name="adminForm">
			<table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist">
			<tr>
			<th width="10" align="left"><input type="checkbox" name="toggle" value="" onClick="checkAll(<?php echo count($rows);?>);"/></th>
			<th width="60" align="left"class="title"><?php echo _TEAC_LANG_DESCR?></th>
			<th width="30" align="left"><?php echo _TEAC_LANG_ABSCODE;?></th>
			<th width="30" align="left"><?php echo _TEAC_LANG_COLORS;?></th>
			<th width="25%"><?php echo _TEAC_LANG_PUBLISHED;?></th>
			</tr>
			<?php 
				$k=0;
				for ($i=0; $i < count($rows);$i++){
					$row=$rows[$i];
				?>
				<tr class="<?php echo "row$k"; ?>">
				<td width="20"><input type="checkbox" id="cb<?php echo $i;?>" name="cid[]" value="<?php echo $row->absid; ?>" 
				onClick="isChecked(this.checked);"/></td>
				<td><a href="#editAbs" onClick="return listItemTask('cb<?php echo $i;?>','editAbs')"><?php echo $row->absdescr;?></a></td>
				<td><?php echo $row->abscode;?></td>
				<td bgcolor="<?php echo $row->absbgcol;?>"align="center" >
				<font color="<?php echo $row->absfontcol;?>"><?php echo $row->absbgcol;?></font>
				</td>
              	<td align="center" width="25%">
					<?php 
						if($row->active=="1"){
							echo "<a href=\"javascript: void(0);\" onClick=\"return listItemTask('cb$i', 'unpublishAbs')\">
								  <img src=\"images/publish_g.png\" border=\"0\" /></a>";
						}
						else {
							echo "<a href=\"javascript: void(0);\" onClick=\"return listItemTask('cb$i', 'publishAbs')\">
								  <img src=\"images/publish_x.png\" border=\"0\" /></a>";

						} ?> </td>
						<?php $k=1-$k; ?>
				</tr>
				<?php }
				?>
			</table>
				<input type="hidden" name="option" value="<?php echo $option; ?>"/>
				<input type="hidden" name="task" value="showAbsence"/>
				<input type="hidden" name="boxchecked" value="0"/>
				<?php echo $pageNav->getListFooter(); ?>
			</form>
		<? }
		// *******************
		// Teammembers section
		// *******************
		// ------------------------------------------------
		// edit teammembers and stores them in the database
		// ------------------------------------------------
		function editMem( $option, &$row, $users, $teams ) {
			// echo $option;
			if (count($teams)>0) {
				?>
				<form action="index2.php" method="post" id="adminForm" name="adminForm" class="adminForm">
				<table border="0" cellpadding="3" cellspacing="0">
				<tr>
	      			<td align="center">
						<span class="sectionname"><?php echo $row->memid ? _TEAC_LANG_EDIT : _TEAC_LANG_ADD;echo _TEAC_LANG_MEMBER;?></span>
					</td>
    			</tr>
				<tr>
				<tr><td><?php echo _TEAC_LANG_NAME;?></td>
				<td><? echo mosHTML::selectList($users,'name','size="1" class="inputbox"','value','text',$row->name); ?></td></tr>
				<td><?php echo _TEAC_LANG_MANAGER;?></td>
				<td><? echo mosHTML::selectList($users,'manager','size="1" class="inputbox"','value','text',$row->manager); ?></td></tr>
				<td><?php echo _TEAC_LANG_TEAM;?></td>
				<td><? echo mosHTML::selectList($teams,'team','size="1" class="inputbox"','value','text',$row->team); ?></td></tr>
				<tr><td><?php echo _TEAC_LANG_PUBLISHED;?>:</td>
				<td><? echo mosHTML::yesnoSelectList("published","",$row->published);?></td></tr>
				</table>
				<input type="hidden" name="memid" value="<?php echo $row->memid[0]; ?>"/>
				<input type="hidden" name="option" value="<?php echo $option; ?>"/>
				<input type="hidden" name="task" value=""/>
				</form>
		<? 
			}
			else {
			?>
				<table border="0" cellpadding="3" cellspacing="0">
				<tr>
	      			<td align="center">
						<span class="sectionname"><?php echo $row->memid ? _TEAC_LANG_EDIT : _TEAC_LANG_ADD;echo _TEAC_LANG_MEMBER;?></span>
					</td>
    			</tr>
				<tr><td><font size="+2"><b><?php echo _TEAC_LANG_ERR_NOTEAM;?></b></font></td></tr>
				<tr><td><a href="index2.php?option=com_teac"><?php echo _TEAC_LANG_BACK;?></a></td></tr>
				</table>
			<?
			}
		} // end function editMem
		// ------------------------------------------------------
		// lists all the members which are in the absence control
		// ------------------------------------------------------
		function listMember($option, $rows, &$pageNav){
			?>
			<table class="adminheading">
				<tr>
					<th><?php echo _TEAC_LANG_MEMMGR;?></th>
				</tr>
				<tr>
			    	<td colspan="3">
					<img src="images/cpanel.png" width="16px" height="16px" align="middle" border="0"/>
					<a href="index2.php?option=com_teac"><?php echo _TEAC_LANG_BACK_CPANEL;?></a>
					</td>
		   		</tr>
			</table>
			<form action="index2.php" method="post" name="adminForm">
			<table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist">
			<tr>
			<th width="20"><input type="checkbox" name="toggle" value="" onClick="checkAll(<?php echo count($rows);?>);"/></th>
			<th class="title" width="25%"><?php echo _TEAC_LANG_NAME;?></th>
			<th width="25%" align="left"><?php echo _TEAC_LANG_TEAM;?></th>
			<th align="left"><?php echo _TEAC_LANG_MANAGER;?></th>
			<th width="25%"><?php echo _TEAC_LANG_PUBLISHED;?></th>
			</tr>
			<?php 
				$k=0;
				for ($i=0; $i < count($rows);$i++){
					$row=$rows[$i];
				?>
				<tr class="<?php echo "row$k"; ?>">
				<td width="20"><input type="checkbox" id="cb<?php echo $i;?>" name="cid[]" value="<?php echo $row->memid; ?>" 
				onClick="isChecked(this.checked);"/></td>
				<td><a href="#editMem" onClick="return listItemTask('cb<?php echo $i;?>','editMem')"><?php echo $row->name;?></a></td>
				<td><?php echo $row->team;?></td>
				<td><?php echo $row->manager;?></td>
				<td align="center" width="25%">
					<?php 
						if($row->published=="1"){
							echo "<a href=\"javascript: void(0);\" onClick=\"return listItemTask('cb$i', 'unpublishMem')\">
								  <img src=\"images/publish_g.png\" border=\"0\" /></a>";
						}
						else {
							echo "<a href=\"javascript: void(0);\" onClick=\"return listItemTask('cb$i', 'publishMem')\">
								  <img src=\"images/publish_x.png\" border=\"0\" /></a>";

						} ?> </td>
						<?php $k=1-$k; ?>
				</tr>
				<?php }
				?>
				<input type="hidden" name="option" value="<?php echo $option; ?>"/>
				<input type="hidden" name="task" value="showMember"/>
				<input type="hidden" name="boxchecked" value="0"/>
			</table>
			<?php echo $pageNav->getListFooter(); ?>
			</form>
		<?	}
		// *************
		// Teams section
		// *************
		// ------------------------------------------
		// edit teams and stores them in the database
		// ------------------------------------------
		function editTeam( $option, &$row ) {
			// echo $option;
			?>
			<form action="index2.php" method="post" id="adminForm" name="adminForm" class="adminForm">
			<table border="0" cellpadding="3" cellspacing="0">
			<tr>
      			<td align="center">
					<span class="sectionname"><?php echo $row->teamid ? _TEAC_LANG_EDIT : _TEAC_LANG_ADD; echo _TEAC_LANG_TEAM;?></span>
				</td>
    		</tr>
			<tr>
			<tr><td><?php echo _TEAC_LANG_TEAMNAME;?>:</td>
			<td><input type="text" size="50" name="teamname" value="<?php echo $row->teamname;?>" /></td></tr>
			<tr><td><?php echo _TEAC_LANG_PUBLISHED;?>:</td>
			<td><? echo mosHTML::yesnoSelectList("published","",$row->published);?></td></tr>
			</table>
			<input type="hidden" name="teamid" value="<?php echo $row->teamid[0]; ?>"/>
			<input type="hidden" name="option" value="<?php echo $option; ?>"/>
			<input type="hidden" name="act" value="team"/>
			<input type="hidden" name="task" value=""/>
			</form>
		<? }
		// ----------------------------------------------------
		// lists all the teams which are in the absence control
		// ----------------------------------------------------
		function listTeams($option, $rows, &$pageNav){
			?>
			<form action="index2.php" method="post" name="adminForm">
			<table class="adminheading">
				<tr>
					<th><?php echo _TEAC_LANG_TEAMMGR;?></th>
				</tr>
				<tr>
			    	<td colspan="3">
					<img src="images/cpanel.png" width="16px" height="16px" align="middle" border="0"/>
					<a href="index2.php?option=com_teac"><?php echo _TEAC_LANG_BACK_CPANEL;?></a>
					</td>
		   		</tr>
			</table>
			<table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist">
			<tr>
			<th width="20"><input type="checkbox" name="toggle" value="" onClick="checkAll(<?php echo count($rows);?>);"/></th>
			<th class="title"><?php echo _TEAC_LANG_TEAM;?></th>
			<th width="25%"><?php echo _TEAC_LANG_PUBLISHED;?></th>
			</tr>
			<?php 
				$k=0;
				for ($i=0; $i < count($rows);$i++){
					$row=$rows[$i];
				?>
				<tr class="<?php echo "row$k"; ?>">
				<td width="20"><input type="checkbox" id="cb<?php echo $i;?>" name="cid[]" value="<?php echo $row->teamid; ?>" 
				onClick="isChecked(this.checked);"/></td>
				<td><a href="#editTeam" onClick="return listItemTask('cb<?php echo $i;?>','editTeam')"><?php echo $row->teamname;?></a></td>

				<td align="center" width="25%">
					<?php 
						if($row->published=="1"){
							echo "<a href=\"javascript: void(0);\" onClick=\"return listItemTask('cb$i', 'unpublishTeam')\">
								  <img src=\"images/publish_g.png\" border=\"0\" /></a>";
						}
						else {
							echo "<a href=\"javascript: void(0);\" onClick=\"return listItemTask('cb$i', 'publishTeam')\">
								  <img src=\"images/publish_x.png\" border=\"0\" /></a>";

						} ?> </td>
						<?php $k=1-$k; ?>
				</tr>
				<?php }
				?>
			</table>
				<input type="hidden" name="option" value="<?php echo $option; ?>"/>
				<input type="hidden" name="task" value="showTeam"/>
				<input type="hidden" name="boxchecked" value="0"/>
				<?php echo $pageNav->getListFooter(); ?>
			</form>
		<?	}
		function showconfig( $option, $teacConfig, $configList ){
   			global $mosConfig_live_site;
		?>
			<table cellpadding="4" cellspacing="0" border="0" width="100%">
      			<tr>
         			<td width="100%" class="sectionname">TEAC Configuration</td>
      			</tr>
      			<tr>
         			<td colspan="2">
						<img src="images/cpanel.png" width="16px" height="16px" align="middle" border="0"/>
						<a href="index2.php?option=com_teac"><?php echo _TEAC_LANG_BACK_CPANEL;?></a>
					</td>
      			</tr>
   			</table>
   			<form action="index2.php" method="post" name="adminForm">
   				<table cellpadding="4" cellspacing="0" border="0" width="50%" class="adminform">
					<tr>
						<th width="130"><?php echo _TEAC_LANG_PARAM_NAME;?></th>
						<th width="100"><?php echo _TEAC_LANG_CURR_SETTINGS;?></th>
						<th width="*"><?php echo _TEAC_LANG_EXPLANATION;?></th>
					</tr>
					<tr>
						<td><?php echo _TEAC_LANG_WEEKEND_PAR;?></td>
						<td><?php echo $configList['weekend'];?></td>
						<td><?php echo _TEAC_LANG_WEEKEND_EXPL;?></td>
					</tr>
					<tr>
						<td><?php echo _TEAC_LANG_FREEDAYCOL_PAR;?></td>
						<td>
							<input class="inputbox" type="text" id="cfg_freedaycolor" name="cfg_freedaycolor" size="7" maxlength="7"
							value="<?php echo $teacConfig['freedaycolor'];?>">
						</td>
						<td><?php echo _TEAC_LANG_FREEDAYCOL_EXPL;?></td>
					</tr>
					<tr>
						<td><?php echo _TEAC_LANG_PREVMONTH_PAR;?></td>
						<td><?php echo $configList['prevmonth'];?></td>
						<td><?php echo _TEAC_LANG_PREVMONTH_EXPL;?></td>
					</tr>
					<tr>
						<td><?php echo _TEAC_LANG_NEXTMONTH_PAR;?></td>
						<td><?php echo $configList['nextmonth'];?></td>
						<td><?php echo _TEAC_LANG_NEXTMONTH_EXPL;?></td>
					</tr>
					<tr>
						<td><?php echo _TEAC_LANG_PUBHOL_PAR;?></td>
						<td><?php echo $configList['publichol'];?></td>
						<td><?php echo _TEAC_LANG_PUBHOL_EXPL;?></td>
					</tr>
					<tr>
						<td><?php echo _TEAC_LANG_OWNHOL_PAR;?></td>
						<td><?php echo $configList['ownhol'];?></td>
						<td><?php echo _TEAC_LANG_OWNHOL_EXPL;?></td>
					</tr>
					<tr>
						<td><?php echo _TEAC_LANG_SHOWCOMMENTS_PAR;?></td>
						<td><?php echo $configList['showcomment'];?></td>
						<td><?php echo _TEAC_LANG_SHOWCOMMENTS_EXPL;?></td>
					</tr>
					<tr>
						<td><?php echo _TEAC_LANG_SHOWCOPY_PAR;?></td>
						<td><?php echo $configList['showcopy'];?></td>
						<td><?php echo _TEAC_LANG_SHOWCOPY_EXPL;?></td>
					</tr>
					<th colspan="3"></th>
				</table>
			   <input type="hidden" name="task" value="showConfig" />
			   <input type="hidden" name="option" value="<?php echo $option; ?>" />
			   <input type="hidden" name="cfg_version" value="<?php echo $teacConfig['version']; ?>" />

			</form>
		<?php		
		}
	}
?>