<?php
	/**
	* Team Availabiliry Component Language
	* @package TeamAvailabilityComponent
	* @copyright 2004 Tom Winterhalder
	* @license http://www.gnu.org/copyleft/gpl.html. GNU Public License
	* @version $Revision: 1.2 $
	* @author Tom Winterhalder <tom@winterhalder.ch>
	* Dutch language file by: Rene Kreijveld <rene@kreijveld.com>
	*/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

// Check
DEFINE("_TEAC_LANG_INCLUDED", 1);
/* ******************************************************
   *                                                    *
   * Common language definitions for back- and frontend *
   *                                                    *
   ******************************************************/
// Absence section
DEFINE("_TEAC_LANG_ABSCODE", "Afwezigheidscode");

/* ******************************************************
   *                                                    *
   *   Language definitions for administrator backend   *
   *                                                    *
   ******************************************************/

// General Admin definitions
DEFINE("_TEAC_LANG_BACK_CPANEL","Back to TEAC control panel");
DEFINE("_TEAC_LANG_YES","Yes");
DEFINE("_TEAC_LANG_NO","No");
DEFINE("_TEAC_LANG_WARN","Warning...");
DEFINE("_TEAC_LANG_CONFFILE","Your config file is:");
DEFINE("_TEAC_LANG_CHMOD_766","You need to chmod this to 766 in order for the file being updated.");
// Control panel definitions
DEFINE("_TEAC_LANG_CPANEL_TIT","Team Availability Control Panel");
DEFINE("_TEAC_LANG_INSTVERS","Installed version:");
DEFINE("_TEAC_LANG_CONFIG_TIT","Team Availability<br>Configuration");
DEFINE("_TEAC_LANG_CONFIG_DESC","Configure team availability functionality");
DEFINE("_TEAC_LANG_MEMBER_TIT","Edit team members");
DEFINE("_TEAC_LANG_MEMBER_DESC","Add, remove or modify team members");
DEFINE("_TEAC_LANG_ABS_TIT","Edit absence codes");
DEFINE("_TEAC_LANG_ABS_DESC","Add, remove or modify absence codes");
DEFINE("_TEAC_LANG_TEAM_TIT","Edit teams");
DEFINE("_TEAC_LANG_TEAM_DESC","Add, remove or modify teams");
DEFINE("_TEAC_LANG_SUPPORT_TIT","Support");
DEFINE("_TEAC_LANG_SUPPORT_DESC","Connect to the TEAC website (new window)");
DEFINE("_TEAC_LANG_CSS_TIT","Edit CSS file");
DEFINE("_TEAC_LANG_CSS_DESC","Modify the look &amp; feel of TEAC");
// CSS Editor definitions
DEFINE("_TEAC_LANG_CSS_TITLE","TEAC CSS Editor");
DEFINE("_TEAC_LANG_CSS_WRITE","Please Note: The CSS Template file must be writable to save changes.");
DEFINE("_TEAC_LANG_CSS_FILE","Your css file is :");
DEFINE("_TEAC_LANG_CSS_PATH","Path");
DEFINE("_TEAC_LANG_ERR_CSS_WRITE","ERROR! CSS file is not writeable");
DEFINE("_TEAC_LANG_ERR_CSS_OPEN","ERROR! CSS file could not be opened");
DEFINE("_TEAC_LANG_CSS_SAVED","CSS file saved!");
// Parameter configuration definitions
DEFINE("_TEAC_LANG_PARAM_NAME", "Parameter name");
DEFINE("_TEAC_LANG_CURR_SETTINGS", "Current settings");
DEFINE("_TEAC_LANG_EXPLANATION", "Explanation");
DEFINE("_TEAC_LANG_WEEKEND_PAR", "Show weekends");
DEFINE("_TEAC_LANG_WEEKEND_EXPL", "Colorize the weekends");
DEFINE("_TEAC_LANG_FREEDAYCOL_PAR", "Free day color");
DEFINE("_TEAC_LANG_FREEDAYCOL_EXPL", "Defines which color should be used for free days such as weekend and holidays");
DEFINE("_TEAC_LANG_PREVMONTH_PAR", "Show previous month");
DEFINE("_TEAC_LANG_PREVMONTH_EXPL", "Defines if the previous month is shown or not");
DEFINE("_TEAC_LANG_NEXTMONTH_PAR", "Show next month");
DEFINE("_TEAC_LANG_NEXTMONTH_EXPL", "Defines if the next month is shown or not");
DEFINE("_TEAC_LANG_PUBHOL_PAR", "Show public holidays");
DEFINE("_TEAC_LANG_PUBHOL_EXPL", "Define if public holidays should be colorized");
DEFINE("_TEAC_LANG_OWNHOL_PAR", "Show own holidays");
DEFINE("_TEAC_LANG_OWNHOL_EXPL", "Define if own defined holidays should be colorized");
DEFINE("_TEAC_LANG_ERR_CONF_OPEN","ERROR! Configuration file could not be opened");
DEFINE("_TEAC_LANG_ERR_CONF_WRITE","ERROR! Configuration file is not writeable");
DEFINE("_TEAC_LANG_CONF_SAVED","Configuration file saved!");
DEFINE("_TEAC_LANG_SHOWCOMMENTS_PAR","Show comments");
DEFINE("_TEAC_LANG_SHOWCOMMENTS_EXPL", "Display comments when moving mouse over an absence on the calendar");
// Team, Member and Absence section
DEFINE("_TEAC_LANG_EDIT", "Wijzig");
DEFINE("_TEAC_LANG_ADD","Add ");
DEFINE("_TEAC_LANG_MEMBER","Team member");
DEFINE("_TEAC_LANG_ABSENCE", "Afwezigheid");
DEFINE("_TEAC_LANG_TEAM","Team");
DEFINE("_TEAC_LANG_TEAMNAME","Teamname");
DEFINE("_TEAC_LANG_TEAMMGR","Team Manager");
DEFINE("_TEAC_LANG_ERR_NOTEAM","You have no Teams defined. <br>Prior to adding members please define a team!");
DEFINE("_TEAC_LANG_MEMMGR","Member Manager");
DEFINE("_TEAC_LANG_NAME","Name");
DEFINE("_TEAC_LANG_MANAGER","Manager");
DEFINE("_TEAC_LANG_ABSMGR","Absence Manager");
DEFINE("_TEAC_LANG_DESCR","Description");
DEFINE("_TEAC_LANG_COLORS","Colors");
DEFINE("_TEAC_LANG_FONTCOL","Font color");
DEFINE("_TEAC_LANG_BGCOL","Background color");

/* ******************************************************
   *                                                    *
   *       Language definitions for user frontend       *
   *                                                    *
   ******************************************************/

// Months
DEFINE("_TEAC_LANG_JAN", "Januari");
DEFINE("_TEAC_LANG_FEB", "Februari");
DEFINE("_TEAC_LANG_MAR", "Maaart");
DEFINE("_TEAC_LANG_APR", "April");
DEFINE("_TEAC_LANG_MAY", "Mei");
DEFINE("_TEAC_LANG_JUN", "Juni");
DEFINE("_TEAC_LANG_JUL", "Juli");
DEFINE("_TEAC_LANG_AUG", "Augustus");
DEFINE("_TEAC_LANG_SEP", "September");
DEFINE("_TEAC_LANG_OCT", "October");
DEFINE("_TEAC_LANG_NOV", "November");
DEFINE("_TEAC_LANG_DEC", "December");
// Short Months
DEFINE("_TEAC_LANG_SJAN", "Jan");
DEFINE("_TEAC_LANG_SFEB", "Feb");
DEFINE("_TEAC_LANG_SMAR", "Mar");
DEFINE("_TEAC_LANG_SAPR", "Apr");
DEFINE("_TEAC_LANG_SMAY", "Mei");
DEFINE("_TEAC_LANG_SJUN", "Jun");
DEFINE("_TEAC_LANG_SJUL", "Jul");
DEFINE("_TEAC_LANG_SAUG", "Aug");
DEFINE("_TEAC_LANG_SSEP", "Sep");
DEFINE("_TEAC_LANG_SOCT", "Oct");
DEFINE("_TEAC_LANG_SNOV", "Nov");
DEFINE("_TEAC_LANG_SDEC", "Dec");

DEFINE("_TEAC_LANG_TITLE", "Team beschikbaarheid");
DEFINE("_TEAC_LANG_UNAVFROM", "Afwezig van");
DEFINE("_TEAC_LANG_UNAVTO", "Afwezig tot");
DEFINE("_TEAC_LANG_PUBLISHED", "Gepubliceerd");
DEFINE("_TEAC_LANG_PUBLISH", "Publiceer");
DEFINE("_TEAC_LANG_UNPUBLISH", "De-publiceer");
DEFINE("_TEAC_LANG_NEW", "Nieuw");
DEFINE("_TEAC_LANG_DELETE", "Verwijder");
DEFINE("_TEAC_LANG_SAVE", "Opslaan");
DEFINE("_TEAC_LANG_CANCEL", "Annuleren");
DEFINE("_TEAC_LANG_SAVED", "Opgeslagen");
DEFINE("_TEAC_LANG_MANAGE", "Beheer mijn datums");
DEFINE("_TEAC_LANG_ALERTDATE","Fout!\\nDatumconflict met een andere datum!\\n");
DEFINE("_TEAC_LANG_REFRESH","Vernieuwen");
DEFINE("_TEAC_LANG_NO_TEAM","Geen teams gedefinieerd");
DEFINE("_TEAC_LANG_BACK","Terug");
DEFINE("_TEAC_LANG_COMMENTS","Comment");
DEFINE("_TEAC_LANG_DISPLAY","Display #");
?>
