<?php 

	/*
	* Team Availabiliry Toolbar HTML
	* @package TeamAvailabilityComponent
	* @copyright 2004 Tom Winterhalder
	* @license http://www.gnu.org/copyleft/gpl.html. GNU Public License
	* @version $Revision: 1.3 $
	* @author Tom Winterhalder <tom@winterhalder.ch>
	*/
	/*
	* Description
	* ===========
	* The toolbar.teac.html.php file controls the view of the toolbars.
	* It draws the menues used to  
	*/
	
	//ensure this file is being included by a parent file
	defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
	
	class TOOLBAR_teac {
	/*
	* Draws the menu to add or edit an item
	*/
		// the default toolbar
		function _DEFAULT(){
			mosMenuBar::startTable();
		    mosMenuBar::spacer();
		    mosMenuBar::back();
		    mosMenuBar::spacer();
		    mosMenuBar::endTable();
		}
		// the Absence menu with the function calls
		function _ABSENCE() {
			mosMenuBar::startTable();
			mosMenuBar::publish('publishAbs');
			mosMenuBar::unpublish('unpublishAbs');
			mosMenuBar::divider();
			mosMenuBar::addNew('newAbs');
			mosMenuBar::editList('editAbs','Edit');
			mosMenuBar::deleteList('','deleteAbs','Remove');
			mosMenuBar::endTable();
		}
		// the menu which is used when modifying the member section
		function _MEMBER() {
			mosMenuBar::startTable();
			mosMenuBar::publish('publishMem');
			mosMenuBar::unpublish('unpublishMem');
			mosMenuBar::divider();
			mosMenuBar::addNew('newMem');
			mosMenuBar::editList('editMem','Edit');
			mosMenuBar::deleteList('','deleteMem','Remove');
			mosMenuBar::endTable();
		}
   		function _EDIT_CONFIG() {
      		mosMenuBar::startTable();
		    mosMenuBar::spacer();
		    mosMenuBar::cancel();
		    mosMenuBar::save( 'saveConfig' );
		    mosMenuBar::spacer();
		    mosMenuBar::endTable();
	  	}

		// The menu used to edit teammembers
		function _EDITMEM() {
			mosMenuBar::startTable();
			mosMenuBar::cancel('showMember');
			mosMenuBar::spacer();
			mosMenuBar::save('saveMem');
			mosMenuBar::endTable();
		}
		// The menu used to edit teams
		function _TEAM() {
			mosMenuBar::startTable();
			mosMenuBar::publish('publishTeam');
			mosMenuBar::unpublish('unpublishTeam');
			mosMenuBar::divider();
			mosMenuBar::addNew('newTeam');
			mosMenuBar::editList('editTeam','Edit');
			mosMenuBar::deleteList('','deleteTeam','Remove');
			mosMenuBar::endTable();
		}
		// The menu used to edit teams
		function _EDITTEAM() {
			mosMenuBar::startTable();
			mosMenuBar::cancel('showTeam');
			mosMenuBar::spacer();
			mosMenuBar::save('saveTeam');
			mosMenuBar::endTable();
		}
		function _EDITABS() {
			mosMenuBar::startTable();
			mosMenuBar::cancel('showAbsence');
			mosMenuBar::spacer();
			mosMenuBar::save('saveAbs');
			mosMenuBar::endTable();
		}
   		function _CSS_MENU() {
      		mosMenuBar::startTable();
      		mosMenuBar::spacer();
      		mosMenuBar::cancel();
      		mosMenuBar::save('saveCss');
      		mosMenuBar::spacer();
      		mosMenuBar::endTable();
		}

	}
?>