<?php
	/**
	* Team Availabiliry Component Language
	* @package TeamAvailabilityComponent
	* @copyright 2004 Tom Winterhalder
	* @license http://www.gnu.org/copyleft/gpl.html. GNU Public License
	* @version $Revision: 1.2 $
	* @author Tom Winterhalder <tom@winterhalder.ch>
	*/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

// Check
DEFINE("_TEAC_LANG_INCLUDED", 1);
/* ******************************************************
   *                                                    *
   * Common language definitions for back- and frontend *
   *                                                    *
   ******************************************************/
// Absence section
DEFINE("_TEAC_LANG_ABSCODE", "Absenzcode");

/* ******************************************************
   *                                                    *
   *   Language definitions for administrator backend   *
   *                                                    *
   ******************************************************/

// General Admin definitions
DEFINE("_TEAC_LANG_BACK_CPANEL","Zurck zum TEAC Control Panel");
DEFINE("_TEAC_LANG_YES","Ja");
DEFINE("_TEAC_LANG_NO","Nein");
DEFINE("_TEAC_LANG_WARN","Warnung...");
DEFINE("_TEAC_LANG_CONFFILE","Ihre Konfigurationsdatei ist:");
DEFINE("_TEAC_LANG_CHMOD_766","Sie mssen die Rechte auf 766 setzen um die nderungen zu speichern.");
// Control panel definitions
DEFINE("_TEAC_LANG_CPANEL_TIT","Team Availability Control Panel");
DEFINE("_TEAC_LANG_INSTVERS","Installierte Version:");
DEFINE("_TEAC_LANG_CONFIG_TIT","Team Availability<br>Konfiguration");
DEFINE("_TEAC_LANG_CONFIG_DESC","Konfiguriert die Funktionalitt");
DEFINE("_TEAC_LANG_MEMBER_TIT","Teammitglieder ndern");
DEFINE("_TEAC_LANG_MEMBER_DESC","Hinzufgen, ndern oder lschen von Teammitgliedern");
DEFINE("_TEAC_LANG_ABS_TIT","Absenzcode ndern");
DEFINE("_TEAC_LANG_ABS_DESC","Hinzufgen, ndern oder lschen von Absenzcodes");
DEFINE("_TEAC_LANG_TEAM_TIT","Teams ndern");
DEFINE("_TEAC_LANG_TEAM_DESC","Hinzufgen, ndern oder lschen von Teams");
DEFINE("_TEAC_LANG_SUPPORT_TIT","Support");
DEFINE("_TEAC_LANG_SUPPORT_DESC","Verbindet sie mit der TEAC Webseite (neues Fenster)");
DEFINE("_TEAC_LANG_CSS_TIT","CSS-Datei ndern");
DEFINE("_TEAC_LANG_CSS_DESC","ndern des Erscheinungsbildes von TEAC");
// CSS Editor definitions
DEFINE("_TEAC_LANG_CSS_TITLE","TEAC CSS Editor");
DEFINE("_TEAC_LANG_CSS_WRITE","Bitte beachten: Das CSS Template muss schreibbar sein um nderungen zu speichern.");
DEFINE("_TEAC_LANG_CSS_FILE","Ihre CSS-Datei ist:");
DEFINE("_TEAC_LANG_CSS_PATH","Pfad");
DEFINE("_TEAC_LANG_ERR_CSS_WRITE","FEHLER! CSS-Datei ist nicht schreibbar");
DEFINE("_TEAC_LANG_ERR_CSS_OPEN","FEHLER! CSS-Datei kann nicht geffnet werden");
DEFINE("_TEAC_LANG_CSS_SAVED","CSS-Datei gespeichert!");
// Parameter configuration definitions
DEFINE("_TEAC_LANG_PARAM_NAME", "Parameter Name");
DEFINE("_TEAC_LANG_CURR_SETTINGS", "Aktuelle Einstellungen");
DEFINE("_TEAC_LANG_EXPLANATION", "Erklrung");
DEFINE("_TEAC_LANG_WEEKEND_PAR", "Weekend anzeigen");
DEFINE("_TEAC_LANG_WEEKEND_EXPL", "Weekend einfrben");
DEFINE("_TEAC_LANG_FREEDAYCOL_PAR", "Farbe fr freie Tage");
DEFINE("_TEAC_LANG_FREEDAYCOL_EXPL", "Definiert, mit welcher Farbe freie Tage, wie Wochenenden und Feiertage eingefrbt werden.");
DEFINE("_TEAC_LANG_PREVMONTH_PAR", "Vorherigen Monat zeigen");
DEFINE("_TEAC_LANG_PREVMONTH_EXPL", "Definiert, ob der vorherige Monat angezeigt werden soll.");
DEFINE("_TEAC_LANG_NEXTMONTH_PAR", "Nchsten Monat zeigen");
DEFINE("_TEAC_LANG_NEXTMONTH_EXPL", "Definiert, ob der nchste Monat angezeigt werden soll.");
DEFINE("_TEAC_LANG_PUBHOL_PAR", "ffentliche Feiertage einfrben");
DEFINE("_TEAC_LANG_PUBHOL_EXPL", "Definiert, ob Feiertage eingefrbt werden.");
DEFINE("_TEAC_LANG_OWNHOL_PAR", "Eigene Feiertage einfrben");
DEFINE("_TEAC_LANG_OWNHOL_EXPL", "Definiert of eigens eingetragene Feiertage eingefrbt werden.");
DEFINE("_TEAC_LANG_ERR_CONF_OPEN","FEHLER! Konfigurationsdatei kann nicht geffnet werden");
DEFINE("_TEAC_LANG_ERR_CONF_WRITE","FEHLER! Konfigurationsdatei ist nicht schreibbar");
DEFINE("_TEAC_LANG_CONF_SAVED","Konfigurationsdatei gespeichert!");
DEFINE("_TEAC_LANG_SHOWCOMMENTS_PAR","Kommentare Zeigen");
DEFINE("_TEAC_LANG_SHOWCOMMENTS_EXPL", "Zeigt die Kommentare wenn sie mit der Maus ber eine Abwesenheit auf dem Kalender bewegen.");
// Team, Member and Absence section
DEFINE("_TEAC_LANG_EDIT","nderen ");
DEFINE("_TEAC_LANG_ADD","Hinzufgen ");
DEFINE("_TEAC_LANG_MEMBER","Teammitglied");
DEFINE("_TEAC_LANG_ABSENCE","Abwesenheitstyp");
DEFINE("_TEAC_LANG_TEAM","Team");
DEFINE("_TEAC_LANG_TEAMNAME","Teamname");
DEFINE("_TEAC_LANG_TEAMMGR","Team Manager");
DEFINE("_TEAC_LANG_ERR_NOTEAM","Sie haben kein Team definiert. <br>Bitte definieren sie ein Team vor dem Hinzufgen von Teammitgliedern!");
DEFINE("_TEAC_LANG_MEMMGR","Mitglieder Manager");
DEFINE("_TEAC_LANG_NAME","Name");
DEFINE("_TEAC_LANG_MANAGER","Manager");
DEFINE("_TEAC_LANG_ABSMGR","Abwesenheits Manager");
DEFINE("_TEAC_LANG_DESCR","Beschreibung");
DEFINE("_TEAC_LANG_COLORS","Farben");
DEFINE("_TEAC_LANG_FONTCOL","Schriftfarbe");
DEFINE("_TEAC_LANG_BGCOL","Hintergrundfarbe");

/* ******************************************************
   *                                                    *
   *       Language definitions for user frontend       *
   *                                                    *
   ******************************************************/

// Months
DEFINE("_TEAC_LANG_JAN", "Januar");
DEFINE("_TEAC_LANG_FEB", "Februar");
DEFINE("_TEAC_LANG_MAR", "Mrz");
DEFINE("_TEAC_LANG_APR", "April");
DEFINE("_TEAC_LANG_MAY", "Mai");
DEFINE("_TEAC_LANG_JUN", "Juni");
DEFINE("_TEAC_LANG_JUL", "Juli");
DEFINE("_TEAC_LANG_AUG", "August");
DEFINE("_TEAC_LANG_SEP", "September");
DEFINE("_TEAC_LANG_OCT", "Oktober");
DEFINE("_TEAC_LANG_NOV", "November");
DEFINE("_TEAC_LANG_DEC", "Dezember");
// Short Months
DEFINE("_TEAC_LANG_SJAN", "Jan");
DEFINE("_TEAC_LANG_SFEB", "Feb");
DEFINE("_TEAC_LANG_SMAR", "Mr");
DEFINE("_TEAC_LANG_SAPR", "Apr");
DEFINE("_TEAC_LANG_SMAY", "Mai");
DEFINE("_TEAC_LANG_SJUN", "Jun");
DEFINE("_TEAC_LANG_SJUL", "Jul");
DEFINE("_TEAC_LANG_SAUG", "Aug");
DEFINE("_TEAC_LANG_SSEP", "Sep");
DEFINE("_TEAC_LANG_SOCT", "Okt");
DEFINE("_TEAC_LANG_SNOV", "Nov");
DEFINE("_TEAC_LANG_SDEC", "Dez");

DEFINE("_TEAC_LANG_TITLE", "Team Verfgbarkeit");
DEFINE("_TEAC_LANG_UNAVFROM", "Nicht verfgbar von");
DEFINE("_TEAC_LANG_UNAVTO", "Nicht verfgbar bis");
DEFINE("_TEAC_LANG_ABSENCE", "Absenz");
DEFINE("_TEAC_LANG_PUBLISHED", "Publiziert");
DEFINE("_TEAC_LANG_PUBLISH", "ffentlich");
DEFINE("_TEAC_LANG_UNPUBLISH", "Nicht ffentlich");
DEFINE("_TEAC_LANG_EDIT", "ndern");
DEFINE("_TEAC_LANG_NEW", "Neu");
DEFINE("_TEAC_LANG_DELETE", "Lschen");
DEFINE("_TEAC_LANG_SAVE", "Speichern");
DEFINE("_TEAC_LANG_CANCEL", "Abbruch");
DEFINE("_TEAC_LANG_SAVED", "Gespeichert");
DEFINE("_TEAC_LANG_MANAGE", "Meine Eintrge verwalten");
DEFINE("_TEAC_LANG_ALERTDATE","Fehler!\\nDas eingetragene Datum ist bereits vorhanden!\\n");
DEFINE("_TEAC_LANG_REFRESH","GO");
DEFINE("_TEAC_LANG_NO_TEAM","Kein Team");
DEFINE("_TEAC_LANG_BACK","Zurck");
DEFINE("_TEAC_LANG_COMMENTS","Kommentar");
DEFINE("_TEAC_LANG_DISPLAY","Display #");
?>
