<?php 

	/*
	* Team Availabiliry Main Class
	* @package TeamAvailabilityComponent
	* @copyright 2004 Tom Winterhalder
	* @license http://www.gnu.org/copyleft/gpl.html. GNU Public License
	* @version $Revision: 1.1 $
	* @author Tom Winterhalder <tom@winterhalder.ch>
	*/
	
	//ensure this file is being included by a parent file
	defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
	
	/*
	* Team Availability table class
	*/
	class twTeac extends mosDBTable {
		/* @ var int Primary key */
		var $id=null;
		/* @ var varchar Currency from */
		var $curfrom=null;
		/* @ var varchar Currency to */
		var $curto=null;
		/* @ var int amount */
		var $amount=null;
		/* @ var tinyint published */
		var $published=null;

		function twTeac(&$db) {
			global $database;
			$this->mosDBTable( '#__teac', 'id', $db );
		}
	}
	
	class twTeacAbsence extends mosDBTable{
		var $absid=null;
		var $abscode=null;
		var $absdescr=null;
		var $absbgcol=null;
		var $absfontcol=null;
		var $published=null;
		
		function twTeacAbsence(&$db) {
			global $database;
			$this->mosDBTable( '#__teac_absence', 'absid', $db );
		}
	}
	class twTeacMember extends mosDBTable{
		var $memid=null;
		var $name=null;
		var $manager=null;
		var $team=null;
		var $published=null;
		
		function twTeacMember(&$db) {
			global $database;
			$this->mosDBTable( '#__teac_member', 'memid', $db );
		}
	}
	class twTeacTeam extends mosDBTable{
		var $teamid=null;
		var $teamname=null;
		var $published=null;
		function twTeacTeam(&$db){
			global $database;
			$this->mosDBTable('#__teac_team','teamid',$db);
		}
	}
?>